package de.ids_mannheim.korap.client;

import java.io.UnsupportedEncodingException;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.servlet.view.RedirectView;

@RestController
public class OAuth2Controller {

    @Autowired
    private OAuth2Service oAuth2Service;
    
    @GetMapping("/authorize")
    public RedirectView redirect () throws UnsupportedEncodingException {
        return oAuth2Service.createRedirect();
    }


    @GetMapping("/redirect")
    public String handleAuthorizationCode (@RequestParam String code,
            @RequestParam String state) {
        return oAuth2Service.requestToken(code,state);
    }
}